Tp::Service::CallInterfaceMuteAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | List of all members
Tp::Service::CallInterfaceMuteAdaptor Class Reference

`#include <TelepathyQt/_gen/svc-call.h>`

Inherits Tp::AbstractAdaptor.

## Public Slots
void | RequestMuted (bool muted, const QDBusMessage &dbusMessage)

## Signals
void | MuteStateChanged (uint muteState)

## Public Member Functions
uint | LocalMuteState () const
Public Member Functions inherited from Tp::AbstractAdaptor
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Adaptor class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Interface.Mute".

## Member Function Documentation

uint Tp::Service::CallInterfaceMuteAdaptor::LocalMuteState | ( |  | ) | const

Return the value of the exported D-Bus object property `LocalMuteState` of type `uint`.

Adaptees should export this property as a Qt property named 'localMuteState' with type uint.

The current mute state of this part of the call. New Contents should inherit the value of this property from the parent Call1. Similarly, Streams should inherit it from the parent Content.

Returns
  The value of exported property `LocalMuteState`.

void Tp::Service::CallInterfaceMuteAdaptor::RequestMuted | ( | bool | muted,
|  | const QDBusMessage & | dbusMessage
| ) |  |
| slot

Begins a call to the exported D-Bus method `RequestMuted` on this object.

Adaptees should export this method as a Qt slot with the following signature: void requestMuted(bool muted, const Tp::Service::CallInterfaceMuteAdaptor::RequestMutedContextPtr &context);

Implementations should call MethodInvocationContext::setFinished (or setFinishedWithError accordingly) on the received context object once the method has finished processing.

Inform the CM that the Call, Content or Stream should be muted or unmuted. The CM will tell the streaming implementation to Mute Streams as required, and emit MuteStateChanged when done.

Parameters

  muted |
      True if the client wishes to mute the Content or Call.

void Tp::Service::CallInterfaceMuteAdaptor::MuteStateChanged | ( | uint | muteState | ) |
| signal

Represents the exported D-Bus signal `MuteStateChanged` on this object.

Adaptees should export this signal as a Qt signal with the following signature: void muteStateChanged(uint muteState);

The adaptee signal will be automatically relayed as a D-Bus signal once emitted.

Parameters

  muteState |
      The new mute state.